Bug 247193 - lang/nim: wrong installation path of lib/nim ?
Summary: lang/nim: wrong installation path of lib/nim ?
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Loïc Bartoletti
URL:
Keywords: needs-patch
Depends on:
Blocks:
 
Reported: 2020-06-12 06:07 UTC by Loïc Bartoletti
Modified: 2020-07-30 19:44 UTC (History)
2 users (show)

See Also:
lbartoletti: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Loïc Bartoletti freebsd_committer 2020-06-12 06:07:57 UTC
Hello,

I think we should change the path of lib .nim installation files.
Today they are installed in ${PREFIX}/lib or ${PREFIX}/nim and I think we should take example from arch or openbsd and install in ${PREFIX}/lib/nim

I haven't done a test yet. Maybe you have some feedback on this? I just realized this problem by wanting to compile nimterop with nimble (FYI I'm also preparing an upstream ticket for other problems)

Do you agree with this proposal? If so, I will prepare the patch.

Thanks.

For reference:
- Arch: https://www.archlinux.org/packages/community/x86_64/nim/files/
- OpenBSD: http://cvsweb.openbsd.org/cgi-bin/cvsweb/ports/lang/nim/pkg/PLIST?rev=1.5&content-type=text/x-cvsweb-markup
Comment 1 Fernando Apesteguía freebsd_committer 2020-06-12 06:38:07 UTC
^Triage: Reporter is committer, assign accordingly.
Comment 2 Neal Nelson 2020-06-12 08:00:55 UTC
Since the nim source directories are spread willy nilly throughout ${PREFIX}/lib, then I would definitely agree that it's time to put them all under ${PREFIX}/lib/nim. The compiler source should also probably be moved to ${PREFIX}/lib/nim

There are only three config files in %%ETCDIR%%, so I'm not sure that it's worth putting them in their own directory.

I'm glad that there is now interest in this port as I've been maintaining it for personal interest for a while now and was never sure that anyone was actually using the language.
Comment 3 Loïc Bartoletti freebsd_committer 2020-06-17 10:43:31 UTC
(In reply to Neal Nelson from comment #2)
>Since the nim source directories are spread willy nilly throughout ${PREFIX}/lib, then I would definitely agree that it's time to put them all under ${PREFIX}/lib/nim. The compiler source should also probably be moved to ${PREFIX}/lib/nim

great!

>There are only three config files in %%ETCDIR%%, so I'm not sure that it's worth putting them in their own directory.

I think it's a requirement.

>I'm glad that there is now interest in this port as I've been maintaining it for personal interest for a while now and was never sure that anyone was actually using the language.

And thank your for your effort! Nim is a very pleasant language. Personally, I'm trying to contribute upstream and I've started some personal projects with this language. This summer, I will try to add a collection of ports made with nim. (I hope I'll have time.)

By the way, nim 1.2.2 is out maybe "fix" the installation in the new release
Comment 4 commit-hook freebsd_committer 2020-07-30 19:42:16 UTC
A commit references this bug:

Author: lbartoletti
Date: Thu Jul 30 19:41:46 UTC 2020
New revision: 543824
URL: https://svnweb.freebsd.org/changeset/ports/543824

Log:
  lang/nim: Update to 1.2.4

  PR:	247488, 247193
  Approved by:	Neal Nelson (maintainer), tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D25875

Changes:
  head/lang/nim/Makefile
  head/lang/nim/distinfo
  head/lang/nim/files/patch-install.sh
  head/lang/nim/pkg-plist
Comment 5 Loïc Bartoletti freebsd_committer 2020-07-30 19:44:58 UTC
Committed, thanks!